LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::linguistic2::LinguServiceEventFlags Constant Group Referencepublished

to be used in lingu-service events. More...

## Variables
const short | SPELL_CORRECT_WORDS_AGAIN = 1
| The spelling of previously correct words should be checked again. More...
const short | SPELL_WRONG_WORDS_AGAIN = 2
| The spelling of previously misspelled words should be checked again. More...
const short | HYPHENATE_AGAIN = 4
| The hyphenation of words may have changed. More...
const short | PROOFREAD_AGAIN = 8
| Request new proofreading of the document. More...

## Detailed Description

to be used in lingu-service events.

These values define the flags which may be logically combined to build the event type of a com::sun::star::linguistic2::LinguServiceEvent

## Variable Documentation

## ◆ HYPHENATE_AGAIN

const short HYPHENATE_AGAIN = 4

The hyphenation of words may have changed.

## ◆ PROOFREAD_AGAIN

const short PROOFREAD_AGAIN = 8

Request new proofreading of the document.

Since
  OOo 3.0.1

## ◆ SPELL_CORRECT_WORDS_AGAIN

const short SPELL_CORRECT_WORDS_AGAIN = 1

The spelling of previously correct words should be checked again.

## ◆ SPELL_WRONG_WORDS_AGAIN

const short SPELL_WRONG_WORDS_AGAIN = 2

The spelling of previously misspelled words should be checked again.